<div id="body" class="container-fluid">
  <h6>NRMBPM Interface View</h6>
  <dx-data-grid #grid id="gridNRMBPMInterfaceView" [dataSource]="nrmbpmInterfaceView$" [showBorders]="true"
                [rowAlternationEnabled]="true" [columnAutoWidth]="true" [wordWrapEnabled]="true" [selectedRowKeys]="[]"
                (onContentReady)="grid.instance.searchByText(grid.searchPanel.text.trim())">
    <dxo-sorting mode="multiple"></dxo-sorting>
    <dxo-selection mode="single"></dxo-selection>
    <dxo-scrolling mode="standard" showScrollbar="always" useNative="false"></dxo-scrolling>
    <dxo-paging [pageSize]="50"></dxo-paging>
    <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[25, 50, 100]"></dxo-pager>
    <dxo-search-panel [visible]="true" [highlightCaseSensitive]="true"></dxo-search-panel>
    <dxi-column dataField="m5OrdrNbr" caption="M5 #" dataType="string"></dxi-column>
    <dxi-column dataField="typeNme" caption="Order Type" dataType="string"></dxi-column>
    <dxi-column dataField="subTypeNme" caption="Sub Type" dataType="string"></dxi-column>
    <dxi-column dataField="prodCd" caption="Product Code" dataType="string"></dxi-column>
    <dxi-column dataField="m5RltdOrdrNbr" caption="M5 Related Order Number" dataType="string"></dxi-column>
    <dxi-column dataField="cpeDeviceId" caption="Device Id" dataType="string"></dxi-column>
    <dxi-column dataField="xtrctCd" caption="Extract Flag" dataType="string"></dxi-column>

    <dxi-column dataField="xtrctDt" cellTemplate="xtrctDt" caption="Extract Date" dataType="string"></dxi-column>
    <div *dxTemplate="let cell of 'xtrctDt'">
      <span>{{cell.text | date:'MM/dd/yyyy hh:mm a'}}</span>
    </div>
  </dx-data-grid>
  <br/> <br/>
  <div>
    <span> **Extract Flag: null or N (not picked) </span> <br/>
    <span> **Extract Flag: E (Errored in COWS) </span> <br/>
    <span> **Extract Flag: Y (successfully processed in COWS) </span> <br/>
    <span> **Extract Flag: D (Duplicate order for COWS) </span> <br/>
    <span> **Extract Flag: M (Missing data in Mach5 Views) </span> <br/>
    <span> **Extract Flag: X (Excluded criteria for COWS, For ex: COWS doesn’t pull in Domestic Access/Port orders with MNS/MSS components or MNS/MSS only. CPE has to be included on the order to be visible) </span>  
  </div>
</div>
